Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Friends | List of all members
ParticleAssetEmitter Class Reference

`#include <ParticleAssetEmitter.h>`

Inheritance diagram for ParticleAssetEmitter:

## Public Types
enum | ParticleOrientationType { INVALID_ORIENTATION, FIXED_ORIENTATION, ALIGNED_ORIENTATION, RANDOM_ORIENTATION }
enum | EmitterType { INVALID_EMITTER_TYPE, POINT_EMITTER, LINE_EMITTER, BOX_EMITTER, DISK_EMITTER, ELLIPSE_EMITTER, TORUS_EMITTER }
Public Types inherited from SimObject
enum | WriteFlags { SelectedOnly = BIT(0) }

## Public Member Functions
| ParticleAssetEmitter ()
virtual | ~ParticleAssetEmitter ()
virtual void | copyTo (SimObject *object)
ParticleAsset * | getOwner (void) const
void | setEmitterName (const char *pEmitterName)
StringTableEntry | getEmitterName (void) const
void | setEmitterType (const EmitterType emitterType)
EmitterType | getEmitterType (void)
void | setEmitterOffset (const Vector2 &offset)
const Vector2 & | getEmitterOffset (void) const
void | setEmitterAngle (const F32 angle)
F32 | getEmitterAngle (void) const
void | setEmitterSize (const Vector2 &size)
const Vector2 & | getEmitterSize (void) const
void | setFixedAspect (const bool fixedAspect)
bool | getFixedAspect (void) const
void | setFixedForceAngle (const F32 fixedForceAngle)
F32 | getFixedForceAngle (void) const
const Vector2 & | getFixedForceDirection (void) const
void | setOrientationType (const ParticleOrientationType particleOrientationType)
ParticleOrientationType | getOrientationType (void) const
void | setKeepAligned (const bool keepAligned)
bool | getKeepAligned (void) const
void | setAlignedAngleOffset (const F32 angleOffset)
F32 | getAlignedAngleOffset (void) const
void | setRandomAngleOffset (const F32 angleOffset)
F32 | getRandomAngleOffset (void) const
void | setRandomArc (const F32 arc)
F32 | getRandomArc (void) const
void | setFixedAngleOffset (const F32 angleOffset)
F32 | getFixedAngleOffset (void) const
void | setPivotPoint (const Vector2 &pivotPoint)
const Vector2 & | getPivotPoint (void) const
void | setLinkEmissionRotation (const bool linkEmissionRotation)
bool | getLinkEmissionRotation (void) const
void | setIntenseParticles (const bool intenseParticles)
bool | getIntenseParticles (void) const
void | setSingleParticle (const bool singleParticle)
bool | getSingleParticle (void) const
void | setAttachPositionToEmitter (const bool attachPositionToEmitter)
bool | getAttachPositionToEmitter (void) const
void | setAttachRotationToEmitter (const bool attachRotationToEmitter)
bool | getAttachRotationToEmitter (void) const
void | setOldestInFront (const bool oldestInFront)
bool | getOldestInFront (void) const
bool | isStaticFrameProvider (void) const
bool | isUsingNamedImageFrame (void) const
bool | setImage (const char *pAssetId, const U32 frame=0)
bool | setImage (const char *pAssetId, const char *frameName)
StringTableEntry | getImage (void) const
bool | setImageFrame (const U32 frame)
U32 | getImageFrame (void) const
bool | setNamedImageFrame (const char *frameName)
const char * | getNamedImageFrame (void) const
void | setRandomImageFrame (const bool randomImageFrame)
bool | getRandomImageFrame (void) const
bool | setAnimation (const char *animationName)
StringTableEntry | getAnimation (void) const
AssetPtr< ImageAsset > & | getImageAsset (void)
AssetPtr< AnimationAsset > & | getAnimationAsset (void)
void | setBlendMode (bool blendMode)
bool | getBlendMode (void) const
void | setSrcBlendFactor (const S32 blendFactor)
S32 | getSrcBlendFactor (void) const
void | setDstBlendFactor (const S32 blendFactor)
S32 | getDstBlendFactor (void) const
void | setAlphaTest (const F32 alphaTest)
F32 | getAlphaTest (void) const
ParticleAssetFieldCollection & | getParticleFields (void)
ParticleAssetField & | getParticleLifeBaseField (void)
ParticleAssetField & | getParticleLifeVariationField (void)
ParticleAssetField & | getQuantityBaseField (void)
ParticleAssetField & | getQuantityVariationField (void)
ParticleAssetField & | getSizeXBaseField (void)
ParticleAssetField & | getSizeXVariationField (void)
ParticleAssetField & | getSizeXLifeField (void)
ParticleAssetField & | getSizeYBaseField (void)
ParticleAssetField & | getSizeYVariationField (void)
ParticleAssetField & | getSizeYLifeField (void)
ParticleAssetField & | getSpeedBaseField (void)
ParticleAssetField & | getSpeedVariationField (void)
ParticleAssetField & | getSpeedLifeField (void)
ParticleAssetField & | getSpinBaseField (void)
ParticleAssetField & | getSpinVariationField (void)
ParticleAssetField & | getSpinLifeField (void)
ParticleAssetField & | getFixedForceBaseField (void)
ParticleAssetField & | getFixedForceVariationField (void)
ParticleAssetField & | getFixedForceLifeField (void)
ParticleAssetField & | getRandomMotionBaseField (void)
ParticleAssetField & | getRandomMotionVariationField (void)
ParticleAssetField & | getRandomMotionLifeField (void)
ParticleAssetField & | getEmissionForceForceBaseField (void)
ParticleAssetField & | getEmissionForceVariationField (void)
ParticleAssetField & | getEmissionAngleBaseField (void)
ParticleAssetField & | getEmissionAngleVariationField (void)
ParticleAssetField & | getEmissionArcBaseField (void)
ParticleAssetField & | getEmissionArcVariationField (void)
ParticleAssetField & | getRedChannelLifeField (void)
ParticleAssetField & | getGreenChannelLifeField (void)
ParticleAssetField & | getBlueChannelLifeField (void)
ParticleAssetField & | getAlphaChannelLifeField (void)
const Vector2 & | getLocalPivotAABB0 (void)
const Vector2 & | getLocalPivotAABB1 (void)
const Vector2 & | getLocalPivotAABB2 (void)
const Vector2 & | getLocalPivotAABB3 (void)
| DECLARE_CONOBJECT (ParticleAssetEmitter)
| Declare Console Object. More...
Public Member Functions inherited from SimObject
StringTableEntry | getClassNamespace () const
StringTableEntry | getSuperClassNamespace () const
void | setClassNamespace (const char *classNamespace)
void | setSuperClassNamespace (const char *superClassNamespace)
void | pushScriptCallbackGuard (void)
void | popScriptCallbackGuard (void)
S32 | getScriptCallbackGuard (void)
virtual SimObject * | findObject (const char *name)
Namespace * | getNamespace ()
| Return the object's namespace. More...
const char * | tabComplete (const char *prevText, S32 baseLen, bool)
virtual void | dump ()
virtual void | dumpClassHierarchy ()
SimObject * | clone (const bool copyDynamicFields)
template<typename T >
bool | isType (void)
virtual bool | handlesConsoleMethod (const char *fname, S32 *routingId)
| DECLARE_CONOBJECT (SimObject)
Notify * | removeNotify (void *ptr, Notify::Type)
| Remove a notification from the list. More...
void | deleteNotify (SimObject *obj)
| Notify an object when we are deleted. More...
void | clearNotify (SimObject *obj)
| Notify an object when we are cleared. More...
void | clearAllNotifications ()
| Remove all notifications for this object. More...
void | processDeleteNotifies ()
| Send out deletion notifications. More...
void | registerReference (SimObject **obj)
void | unregisterReference (SimObject **obj)
const char * | getDataField (StringTableEntry slotName, const char *array)
void | setDataField (StringTableEntry slotName, const char *array, const char *value)
const char * | getPrefixedDataField (StringTableEntry fieldName, const char *array)
void | setPrefixedDataField (StringTableEntry fieldName, const char *array, const char *value)
const char * | getPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const S32 fieldType=-1)
void | setPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const char *value, const S32 fieldType=-1)
StringTableEntry | getDataFieldPrefix (StringTableEntry fieldName)
U32 | getDataFieldType (StringTableEntry slotName, const char *array)
SimFieldDictionary * | getFieldDictionary ()
void | clearDynamicFields (void)
| Clear all dynamic fields. More...
void | setCanSaveDynamicFields (bool bCanSave)
| Set whether fields created at runtime should be saved. Default is true. More...
bool | getCanSaveDynamicFields (void) const
| Get whether fields created at runtime should be saved. Default is true. More...
void | setInternalName (const char *newname)
StringTableEntry | getInternalName ()
| Get the internal of of this control. More...
virtual bool | save (const char *pcFilePath, bool bOnlySelected=false)
| Save object as a TorqueScript File. More...
virtual bool | isMethod (const char *methodName)
| Check if a method exists in the objects current namespace. More...
SimObjectId | getId (void) const
StringTableEntry | getIdString (void) const
U32 | getType () const
const StringTableEntry | getName (void) const
void | setId (SimObjectId id)
void | assignName (const char *name)
SimGroup * | getGroup () const
bool | isChildOfGroup (SimGroup *pGroup)
bool | isProperlyAdded () const
bool | isDeleted () const
bool | isRemoved () const
bool | isLocked ()
void | setLocked (bool b)
bool | isHidden ()
void | setHidden (bool b)
void | setProgenitorFile (const char *pFile)
StringTableEntry | getProgenitorFile (void) const
void | setPeriodicTimerID (const S32 timerID)
S32 | getPeriodicTimerID (void) const
bool | isPeriodicTimerActive (void) const
bool | isSelected () const
bool | isExpanded () const
void | setSelected (bool sel)
void | setExpanded (bool exp)
void | setModDynamicFields (bool dyn)
void | setModStaticFields (bool sta)
| SimObject ()
virtual | ~SimObject ()
virtual bool | processArguments (S32 argc, const char **argv)
| Process constructor options. (ie, new SimObject(1,2,3)) More...
virtual bool | onAdd ()
| Called when the object is added to the sim. More...
virtual void | onRemove ()
| Called when the object is removed from the sim. More...
virtual void | onGroupAdd ()
| Called when the object is added to a SimGroup. More...
virtual void | onGroupRemove ()
| Called when the object is removed from a SimGroup. More...
virtual void | onNameChange (const char *name)
| Called when the object's name is changed. More...
virtual void | onStaticModified (const char *slotName, const char *newValue=NULL)
virtual void | inspectPreApply ()
virtual void | inspectPostApply ()
virtual void | onDeleteNotify (SimObject *object)
virtual void | onEditorEnable ()
| Called when the editor is activated. More...
virtual void | onEditorDisable ()
| Called when the editor is deactivated. More...
bool | registerObject ()
bool | registerObject (U32 id)
bool | registerObject (const char *name)
bool | registerObject (const char *name, U32 id)
void | unregisterObject ()
void | deleteObject ()
bool | addToSet (SimObjectId)
bool | addToSet (const char *)
bool | removeFromSet (SimObjectId)
bool | removeFromSet (const char *)
virtual bool | writeField (StringTableEntry fieldname, const char *value)
virtual void | write (Stream &stream, U32 tabStop, U32 flags=0)
virtual void | writeFields (Stream &stream, U32 tabStop)
virtual bool | writeObject (Stream *stream)
virtual bool | readObject (Stream *stream)
virtual void | buildFilterList ()
void | addFieldFilter (const char *fieldName)
void | removeFieldFilter (const char *fieldName)
void | clearFieldFilters ()
bool | isFiltered (const char *fieldName)
void | assignFieldsFrom (SimObject *obj)
void | assignDynamicFieldsFrom (SimObject *obj)
Public Member Functions inherited from ConsoleObject
const AbstractClassRep::Field * | findField (StringTableEntry fieldName) const
| Get a reference to a field by name. More...
virtual AbstractClassRep * | getClassRep () const
| Gets the ClassRep. More...
bool | setField (const char *fieldName, const char *value)
| Set the value of a field. More...
virtual | ~ConsoleObject ()
const AbstractClassRep::FieldList & | getFieldList () const
| Get a list of all the fields. This information cannot be modified. More...
AbstractClassRep::FieldList & | getModifiableFieldList ()
bool & | getDynamicGroupExpand ()
S32 | getClassId (U32 netClassGroup) const
const char * | getClassName () const

## Static Public Member Functions
static void | initPersistFields ()
static EmitterType | getEmitterTypeEnum (const char *label)
static const char * | getEmitterTypeDescription (const EmitterType emitterType)
static ParticleOrientationType | getOrientationTypeEnum (const char *label)
static const char * | getOrientationTypeDescription (const ParticleOrientationType orientationType)
Static Public Member Functions inherited from SimObject
static void | initPersistFields ()
Static Public Member Functions inherited from ConsoleObject
static const char * | lookupClassName (const U32 in_classTag)
| Get the classname from a class tag. More...
static void | initPersistFields ()
static void | consoleInit ()
static ConsoleObject * | create (const char *in_pClassName)
static ConsoleObject * | create (const U32 groupId, const U32 typeId, const U32 in_classId)
static AbstractClassRep * | getStaticClassRep ()
| Get the abstract class information for this class. More...
static AbstractClassRep * | getParentStaticClassRep ()
| Get the abstract class information for this class's superclass. More...

## Protected Member Functions
virtual void | onAssetRefreshed (AssetPtrBase *pAssetPtrBase)
void | onTamlCustomWrite (TamlCustomNodes &customNodes)
| Called during the writing of the object to allow custom properties to be written. More...
void | onTamlCustomRead (const TamlCustomNodes &customNodes)
| Called during the reading of the object to allow custom properties to be read. More...
Protected Member Functions inherited from SimObject
virtual void | onTamlPreWrite (void)
| Taml callbacks. More...
virtual void | onTamlPostWrite (void)
| Called after Taml has finished writing the object. More...
virtual void | onTamlPreRead (void)
| Called prior to Taml reading the object. More...
virtual void | onTamlPostRead (const TamlCustomNodes &customNodes)
virtual void | onTamlAddParent (SimObject *pParentObject)
| Called after Taml has finished reading the object and has added the object to any parent. More...
void | linkNamespaces ()
void | unlinkNamespaces ()
Protected Member Functions inherited from ConsoleObject
| ConsoleObject ()
| ConsoleObject (const ConsoleObject &)

## Static Protected Member Functions
static bool | setEmitterName (void *obj, const char *data)
static bool | setEmitterType (void *obj, const char *data)
static bool | writeEmitterType (void *obj, StringTableEntry pFieldName)
static bool | setEmitterOffset (void *obj, const char *data)
static bool | writeEmitterOffset (void *obj, StringTableEntry pFieldName)
static bool | setEmitterAngle (void *obj, const char *data)
static bool | writeEmitterAngle (void *obj, StringTableEntry pFieldName)
static bool | setEmitterSize (void *obj, const char *data)
static bool | writeEmitterSize (void *obj, StringTableEntry pFieldName)
static bool | setFixedAspect (void *obj, const char *data)
static bool | writeFixedAspect (void *obj, StringTableEntry pFieldName)
static bool | setFixedForceAngle (void *obj, const char *data)
static bool | writeFixedForceAngle (void *obj, StringTableEntry pFieldName)
static bool | setOrientationType (void *obj, const char *data)
static bool | writeOrientationType (void *obj, StringTableEntry pFieldName)
static bool | setKeepAligned (void *obj, const char *data)
static bool | writeKeepAligned (void *obj, StringTableEntry pFieldName)
static bool | setAlignedAngleOffset (void *obj, const char *data)
static bool | writeAlignedAngleOffset (void *obj, StringTableEntry pFieldName)
static bool | setRandomAngleOffset (void *obj, const char *data)
static bool | writeRandomAngleOffset (void *obj, StringTableEntry pFieldName)
static bool | setRandomArc (void *obj, const char *data)
static bool | writeRandomArc (void *obj, StringTableEntry pFieldName)
static bool | setFixedAngleOffset (void *obj, const char *data)
static bool | writeFixedAngleOffset (void *obj, StringTableEntry pFieldName)
static bool | setPivotPoint (void *obj, const char *data)
static bool | writePivotPoint (void *obj, StringTableEntry pFieldName)
static bool | setLinkEmissionRotation (void *obj, const char *data)
static bool | writeLinkEmissionRotation (void *obj, StringTableEntry pFieldName)
static bool | setIntenseParticles (void *obj, const char *data)
static bool | writeIntenseParticles (void *obj, StringTableEntry pFieldName)
static bool | setSingleParticle (void *obj, const char *data)
static bool | writeSingleParticle (void *obj, StringTableEntry pFieldName)
static bool | setAttachPositionToEmitter (void *obj, const char *data)
static bool | writeAttachPositionToEmitter (void *obj, StringTableEntry pFieldName)
static bool | setAttachRotationToEmitter (void *obj, const char *data)
static bool | writeAttachRotationToEmitter (void *obj, StringTableEntry pFieldName)
static bool | setOldestInFront (void *obj, const char *data)
static bool | writeOldestInFront (void *obj, StringTableEntry pFieldName)
static bool | setImage (void *obj, const char *data)
static const char * | getImage (void *obj, const char *data)
static bool | writeImage (void *obj, StringTableEntry pFieldName)
static bool | setImageFrame (void *obj, const char *data)
static bool | writeImageFrame (void *obj, StringTableEntry pFieldName)
static bool | setNamedImageFrame (void *obj, const char *data)
static bool | writeNamedImageFrame (void *obj, StringTableEntry pFieldName)
static bool | setRandomImageFrame (void *obj, const char *data)
static bool | writeRandomImageFrame (void *obj, StringTableEntry pFieldName)
static bool | setAnimation (void *obj, const char *data)
static const char * | getAnimation (void *obj, const char *data)
static bool | writeAnimation (void *obj, StringTableEntry pFieldName)
static bool | setBlendMode (void *obj, const char *data)
static bool | writeBlendMode (void *obj, StringTableEntry pFieldName)
static bool | setSrcBlendFactor (void *obj, const char *data)
static bool | writeSrcBlendFactor (void *obj, StringTableEntry pFieldName)
static bool | setDstBlendFactor (void *obj, const char *data)
static bool | writeDstBlendFactor (void *obj, StringTableEntry pFieldName)
static bool | setAlphaTest (void *obj, const char *data)
static bool | writeAlphaTest (void *obj, StringTableEntry pFieldName)
Static Protected Member Functions inherited from SimObject
static bool | setClass (void *obj, const char *data)
static bool | setSuperClass (void *obj, const char *data)
static bool | writeCanSaveDynamicFields (void *obj, StringTableEntry pFieldName)
static bool | writeInternalName (void *obj, StringTableEntry pFieldName)
static bool | setParentGroup (void *obj, const char *data)
static bool | writeParentGroup (void *obj, StringTableEntry pFieldName)
static bool | writeSuperclass (void *obj, StringTableEntry pFieldName)
static bool | writeClass (void *obj, StringTableEntry pFieldName)
static SimObject::Notify * | allocNotify ()
| Get a free Notify structure. More...
static void | freeNotify (SimObject::Notify *)
| Mark a Notify structure as free. More...
Static Protected Member Functions inherited from ConsoleObject
static void | addGroup (const char *in_pGroupname, const char *in_pGroupDocs=NULL)
static void | endGroup (const char *in_pGroupname)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const char *in_pFieldDocs)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const char *in_pFieldDocs)
static void | addFieldV (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, ConsoleTypeValidator *v, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const char *in_pFieldDocs=NULL)
static void | addDepricatedField (const char *fieldName)
static bool | removeField (const char *in_pFieldname)

## Friends
class | ParticleAsset

## Additional Inherited Members
Protected Attributes inherited from SimObject
SimObjectId | mId
| Id number for this object. More...
StringTableEntry | mIdString
Namespace * | mNameSpace
U32 | mTypeMask
S32 | mScriptCallbackGuard
| Whether the object is executing a script callback. More...
bool | mCanSaveFieldDictionary
| true if dynamic fields (added at runtime) should be saved, defaults to true More...
StringTableEntry | mInternalName
| Stores object Internal Name. More...
StringTableEntry | mClassName
| Stores the class name to link script class namespaces. More...
StringTableEntry | mSuperClassName
| Stores super class name to link script class namespaces. More...
Static Protected Attributes inherited from SimObject
static SimObject::Notify * | mNotifyFreeList = NULL

## Member Enumeration Documentation

enum EmitterType

Enumerator
INVALID_EMITTER_TYPE |
POINT_EMITTER |
LINE_EMITTER |
BOX_EMITTER |
DISK_EMITTER |
ELLIPSE_EMITTER |
TORUS_EMITTER |

enum ParticleOrientationType

Enumerator
INVALID_ORIENTATION |
FIXED_ORIENTATION |
ALIGNED_ORIENTATION |
RANDOM_ORIENTATION |

## Constructor & Destructor Documentation

ParticleAssetEmitter | ( |  | ) |

~ParticleAssetEmitter | ( |  | ) |
| virtual

## Member Function Documentation

void copyTo | ( | SimObject * | object | ) |
| virtual

Reimplemented from SimObject.

DECLARE_CONOBJECT | ( | ParticleAssetEmitter |  | ) |

Declare Console Object.

F32 getAlignedAngleOffset | ( | void |  | ) | const
| inline

ParticleAssetField& getAlphaChannelLifeField | ( | void |  | ) |
| inline

F32 getAlphaTest | ( | void |  | ) | const
| inline

StringTableEntry getAnimation | ( | void |  | ) | const
| inline

static const char* getAnimation | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

AssetPtr<AnimationAsset>& getAnimationAsset | ( | void |  | ) |
| inline

bool getAttachPositionToEmitter | ( | void |  | ) | const
| inline

bool getAttachRotationToEmitter | ( | void |  | ) | const
| inline

bool getBlendMode | ( | void |  | ) | const
| inline

ParticleAssetField& getBlueChannelLifeField | ( | void |  | ) |
| inline

S32 getDstBlendFactor | ( | void |  | ) | const
| inline

ParticleAssetField& getEmissionAngleBaseField | ( | void |  | ) |
| inline

ParticleAssetField& getEmissionAngleVariationField | ( | void |  | ) |
| inline

ParticleAssetField& getEmissionArcBaseField | ( | void |  | ) |
| inline

ParticleAssetField& getEmissionArcVariationField | ( | void |  | ) |
| inline

ParticleAssetField& getEmissionForceForceBaseField | ( | void |  | ) |
| inline

ParticleAssetField& getEmissionForceVariationField | ( | void |  | ) |
| inline

F32 getEmitterAngle | ( | void |  | ) | const
| inline

StringTableEntry getEmitterName | ( | void |  | ) | const
| inline

const Vector2& getEmitterOffset | ( | void |  | ) | const
| inline

const Vector2& getEmitterSize | ( | void |  | ) | const
| inline

EmitterType getEmitterType | ( | void |  | ) |
| inline

const char * getEmitterTypeDescription | ( | const EmitterType | emitterType | ) |
| static

ParticleAssetEmitter::EmitterType getEmitterTypeEnum | ( | const char * | label | ) |
| static

F32 getFixedAngleOffset | ( | void |  | ) | const
| inline

bool getFixedAspect | ( | void |  | ) | const
| inline

F32 getFixedForceAngle | ( | void |  | ) | const
| inline

ParticleAssetField& getFixedForceBaseField | ( | void |  | ) |
| inline

const Vector2& getFixedForceDirection | ( | void |  | ) | const
| inline

ParticleAssetField& getFixedForceLifeField | ( | void |  | ) |
| inline

ParticleAssetField& getFixedForceVariationField | ( | void |  | ) |
| inline

ParticleAssetField& getGreenChannelLifeField | ( | void |  | ) |
| inline

StringTableEntry getImage | ( | void |  | ) | const
| inline

static const char* getImage | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

AssetPtr<ImageAsset>& getImageAsset | ( | void |  | ) |
| inline

U32 getImageFrame | ( | void |  | ) | const
| inline

bool getIntenseParticles | ( | void |  | ) | const
| inline

bool getKeepAligned | ( | void |  | ) | const
| inline

bool getLinkEmissionRotation | ( | void |  | ) | const
| inline

const Vector2& getLocalPivotAABB0 | ( | void |  | ) |
| inline

const Vector2& getLocalPivotAABB1 | ( | void |  | ) |
| inline

const Vector2& getLocalPivotAABB2 | ( | void |  | ) |
| inline

const Vector2& getLocalPivotAABB3 | ( | void |  | ) |
| inline

const char* getNamedImageFrame | ( | void |  | ) | const
| inline

bool getOldestInFront | ( | void |  | ) | const
| inline

ParticleOrientationType getOrientationType | ( | void |  | ) | const
| inline

const char * getOrientationTypeDescription | ( | const ParticleOrientationType | orientationType | ) |
| static

ParticleAssetEmitter::ParticleOrientationType getOrientationTypeEnum | ( | const char * | label | ) |
| static

ParticleAsset* getOwner | ( | void |  | ) | const
| inline

ParticleAssetFieldCollection& getParticleFields | ( | void |  | ) |
| inline

ParticleAssetField& getParticleLifeBaseField | ( | void |  | ) |
| inline

ParticleAssetField& getParticleLifeVariationField | ( | void |  | ) |
| inline

const Vector2& getPivotPoint | ( | void |  | ) | const
| inline

ParticleAssetField& getQuantityBaseField | ( | void |  | ) |
| inline

ParticleAssetField& getQuantityVariationField | ( | void |  | ) |
| inline

F32 getRandomAngleOffset | ( | void |  | ) | const
| inline

F32 getRandomArc | ( | void |  | ) | const
| inline

bool getRandomImageFrame | ( | void |  | ) | const
| inline

ParticleAssetField& getRandomMotionBaseField | ( | void |  | ) |
| inline

ParticleAssetField& getRandomMotionLifeField | ( | void |  | ) |
| inline

ParticleAssetField& getRandomMotionVariationField | ( | void |  | ) |
| inline

ParticleAssetField& getRedChannelLifeField | ( | void |  | ) |
| inline

bool getSingleParticle | ( | void |  | ) | const
| inline

ParticleAssetField& getSizeXBaseField | ( | void |  | ) |
| inline

ParticleAssetField& getSizeXLifeField | ( | void |  | ) |
| inline

ParticleAssetField& getSizeXVariationField | ( | void |  | ) |
| inline

ParticleAssetField& getSizeYBaseField | ( | void |  | ) |
| inline

ParticleAssetField& getSizeYLifeField | ( | void |  | ) |
| inline

ParticleAssetField& getSizeYVariationField | ( | void |  | ) |
| inline

ParticleAssetField& getSpeedBaseField | ( | void |  | ) |
| inline

ParticleAssetField& getSpeedLifeField | ( | void |  | ) |
| inline

ParticleAssetField& getSpeedVariationField | ( | void |  | ) |
| inline

ParticleAssetField& getSpinBaseField | ( | void |  | ) |
| inline

ParticleAssetField& getSpinLifeField | ( | void |  | ) |
| inline

ParticleAssetField& getSpinVariationField | ( | void |  | ) |
| inline

S32 getSrcBlendFactor | ( | void |  | ) | const
| inline

void initPersistFields | ( |  | ) |
| static

bool isStaticFrameProvider | ( | void |  | ) | const
| inline

bool isUsingNamedImageFrame | ( | void |  | ) | const
| inline

void onAssetRefreshed | ( | AssetPtrBase * | pAssetPtrBase | ) |
| protected virtual

Implements AssetPtrCallback.

void onTamlCustomRead | ( | const TamlCustomNodes & | customNodes | ) |
| protected virtual

Called during the reading of the object to allow custom properties to be read.

Reimplemented from SimObject.

void onTamlCustomWrite | ( | TamlCustomNodes & | customNodes | ) |
| protected virtual

Called during the writing of the object to allow custom properties to be written.

Reimplemented from SimObject.

void setAlignedAngleOffset | ( | const F32 | angleOffset | ) |
| inline

static bool setAlignedAngleOffset | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setAlphaTest | ( | const F32 | alphaTest | ) |
| inline

static bool setAlphaTest | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

bool setAnimation | ( | const char * | animationName | ) |

static bool setAnimation | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setAttachPositionToEmitter | ( | const bool | attachPositionToEmitter | ) |
| inline

static bool setAttachPositionToEmitter | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setAttachRotationToEmitter | ( | const bool | attachRotationToEmitter | ) |
| inline

static bool setAttachRotationToEmitter | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setBlendMode | ( | bool | blendMode | ) |
| inline

static bool setBlendMode | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setDstBlendFactor | ( | const S32 | blendFactor | ) |
| inline

static bool setDstBlendFactor | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setEmitterAngle | ( | const F32 | angle | ) |
| inline

static bool setEmitterAngle | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setEmitterName | ( | const char * | pEmitterName | ) |

static bool setEmitterName | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setEmitterOffset | ( | const Vector2 & | offset | ) |
| inline

static bool setEmitterOffset | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setEmitterSize | ( | const Vector2 & | size | ) |
| inline

static bool setEmitterSize | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setEmitterType | ( | const EmitterType | emitterType | ) |
| inline

static bool setEmitterType | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setFixedAngleOffset | ( | const F32 | angleOffset | ) |
| inline

static bool setFixedAngleOffset | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setFixedAspect | ( | const bool | fixedAspect | ) |
| inline

static bool setFixedAspect | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setFixedForceAngle | ( | const F32 | fixedForceAngle | ) |

static bool setFixedForceAngle | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

bool setImage | ( | const char * | pAssetId,
|  | const U32 | frame = `0`
| ) |  |

bool setImage | ( | const char * | pAssetId,
|  | const char * | frameName
| ) |  |

static bool setImage | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

bool setImageFrame | ( | const U32 | frame | ) |

static bool setImageFrame | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setIntenseParticles | ( | const bool | intenseParticles | ) |
| inline

static bool setIntenseParticles | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setKeepAligned | ( | const bool | keepAligned | ) |
| inline

static bool setKeepAligned | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setLinkEmissionRotation | ( | const bool | linkEmissionRotation | ) |
| inline

static bool setLinkEmissionRotation | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

bool setNamedImageFrame | ( | const char * | frameName | ) |

static bool setNamedImageFrame | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setOldestInFront | ( | const bool | oldestInFront | ) |
| inline

static bool setOldestInFront | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setOrientationType | ( | const ParticleOrientationType | particleOrientationType | ) |
| inline

static bool setOrientationType | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setPivotPoint | ( | const Vector2 & | pivotPoint | ) |

static bool setPivotPoint | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setRandomAngleOffset | ( | const F32 | angleOffset | ) |
| inline

static bool setRandomAngleOffset | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setRandomArc | ( | const F32 | arc | ) |
| inline

static bool setRandomArc | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setRandomImageFrame | ( | const bool | randomImageFrame | ) |
| inline

static bool setRandomImageFrame | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setSingleParticle | ( | const bool | singleParticle | ) |
| inline

static bool setSingleParticle | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setSrcBlendFactor | ( | const S32 | blendFactor | ) |
| inline

static bool setSrcBlendFactor | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

static bool writeAlignedAngleOffset | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeAlphaTest | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeAnimation | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeAttachPositionToEmitter | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeAttachRotationToEmitter | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeBlendMode | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeDstBlendFactor | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeEmitterAngle | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeEmitterOffset | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeEmitterSize | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeEmitterType | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeFixedAngleOffset | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeFixedAspect | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeFixedForceAngle | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeImage | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeImageFrame | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeIntenseParticles | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeKeepAligned | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeLinkEmissionRotation | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeNamedImageFrame | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeOldestInFront | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeOrientationType | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writePivotPoint | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeRandomAngleOffset | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeRandomArc | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeRandomImageFrame | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeSingleParticle | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeSrcBlendFactor | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

## Friends And Related Function Documentation

friend class ParticleAsset
| friend

The documentation for this class was generated from the following files:

- 2d/assets/ParticleAssetEmitter.h
- 2d/assets/ParticleAssetEmitter.cc